namespace OpenWarehouse.warehouse.api.Data;

public class Producers
{
    [Key]
    public Guid? Id { get; set; }
    public Image? Image { get; set; }
    [Required, MaxLength(50)]
    public string? Name { get; set; }
    [Required, MaxLength(60)]
    public string? FiestLineAdress { get; set; }
    [MaxLength(60)]
    public string? SecondLineAdress { get; set; }
    [EmailAddress, MaxLength(40)]
    public string? Email { get; set; }
    [Phone, MaxLength(15)]
    public string? Phone { get; set; }

    [DeleteBehavior(DeleteBehavior.SetNull)]
    public List<Item>? Items { get; set; }
    [DeleteBehavior(DeleteBehavior.Cascade)]
    public List<ProducerClaims>? Claims { get; set; }
}